<!DOCTYPE html>
<html dir="ltr" lang="en-US">
<head>
<meta charset="utf-8">
<cfif IsDefined("url.viewtable")>
	<cfset Session.AdminEditingTable = SpanExcluding(url.viewtable,Application.psIllegal_URL_Chars)>
</cfif>
<cfif IsDefined("Session.AdminEditingTable")>
	<title><cfoutput>#Session.AdminEditingTable#</cfoutput></title>
	<cfelse>
	<cfabort>
</cfif>
<style>
body {
  margin: 1px 1px 0px 2px;
  background-color: #666666;
}
.tableView {
  font-family: Verdana;
  font-size: 12px;
}
td {background-color: #CCCCCC;}
</style>
</head>
<body onload="document.form1.editingfield.focus();" class="administrator">
<cfif IsDefined("Session.Access") and Session.Access eq "Webmaster">
	<cfif IsDefined("url.viewtable")>
		<iframe src="sql_com.cfm" width="99%" height="150px" frameborder="0"></iframe>
		<hr>
		<cfif url.viewtable eq Application.psSchemaTable>
			<!--- special handling for schema table for now --->
			<cfset FieldList = "ID,Queue,TableName,FieldName,FieldSet,DataType,Subtype,Display,Summary,Sortable,Editable,Required,Datasize,Options,AllowNull,DefaultValue,Notes,UserOverride,Calculate,Summate,Encrypt">
			<cfset FieldTypeList = "int,int,varchar,varchar,varchar,varchar,varchar,bit,bit,bit,bit,bit,int,text,bit,varchar,text,bit,bit,bit,bit">
			<cfquery name="TableName2" dataSource="#Application.psDataSource#">
			select #FieldList# from #Application.psSchemaTable# order by ID
			</cfquery>
			<table cellpadding="2" cellspacing="1" bgcolor="#666666" class="tableView">
				<tr>
					<cfloop from="1" to="#ListLen(FieldList)#" index="i">
						<td><cfoutput>#ListGetAt(FieldList,i)#</cfoutput></td>
					</cfloop>
				</tr>
				<cfloop query="TableName2">
					<tr>
						<cfloop from="1" to="#ListLen(FieldList)#" index="i">
							<cfoutput>
								<cfif i neq 1>
									<cfset FieldValue = Evaluate("TableName2.#ListGetAt(FieldList,i)#")>
					  			<td nowrap="nowrap" onclick="window.open('?editrow=#TableName2.ID#&table=#url.viewtable#&column=#ListGetAt(FieldList,i)#&type=#ListGetAt(FieldTypeList,i)#','','width=360,height=150,status=1,scrollbars=1,resizable=1')" bgcolor="##CCCCCC" onmouseover="this.style.backgroundColor='##FFFFFF'" onmouseout="this.style.backgroundColor=''" style="cursor:pointer;"><cfif FieldValue neq "">#FieldValue#<cfelse>&nbsp;</cfif></td>
									<cfelse>
									<td>#TableName2.ID#</td>
								</cfif>
							</cfoutput>
						</cfloop>
					</tr>
				</cfloop>
			</table>
			<cfelse>
			<!--- all other tables --->
			<cfquery name="Schema" datasource="#Application.psDataSource#">
			select * from #Application.psSchemaTable# where TableName = '#SpanExcluding(url.viewtable,Application.psIllegal_URL_Chars)#' and Datatype not in (#ListQualify(Application.psNonStandardDataTypes,"'")#) order by Queue
			</cfquery>
			<cfquery name="TableName" dataSource="#Application.psDataSource#">
			select * from #SpanExcluding(url.viewtable,Application.psIllegal_URL_Chars)# order by ID
			</cfquery>
			<table cellpadding="2" cellspacing="1" bgcolor="#666666" class="tableView">
			  <tr>
			  	<cfoutput query="Schema">
			  		<cfif ListFind(Application.psStandardDataTypes,Schema.DataType)>
			  			<td bgcolor="##CCCCCC">#FieldName#</td>
			  		</cfif>
			  	</cfoutput>
			  </tr>
			  <cfoutput query="TableName">
			  	<tr>
			  		<cfset i = 0>
			  		<cfloop list="#ValueList(Schema.FieldName)#" index="CurrentColumnName">
			  			<cfset i = i + 1>
			  			<cfif ListFind(Application.psStandardDataTypes,Schema.DataType[i])>
				  			<cfset FieldValue = Evaluate("TableName.#CurrentColumnName#")>
				  			<cfif CurrentColumnName neq "ID">
				  				
				  				
				  				<td nowrap="nowrap" onclick="window.open('?editrow=#TableName.ID#&table=#url.viewtable#&column=#CurrentColumnName#&type=#Schema.DataType[i]#','','width=360,height=150,status=1,scrollbars=1,resizable=1')" bgcolor="##CCCCCC" onmouseover="this.style.backgroundColor='##FFFFFF'" onmouseout="this.style.backgroundColor=''" style="cursor:pointer;">
				  					<cfif Schema.DataType[i] eq "text" and Schema.Subtype[i] eq "html">
				  						&lt;text/html&gt;
				  						<cfelseif Trim(FieldValue) neq "">
				  						#FieldValue#
				  						<cfelse>&nbsp;
				  					</cfif>
				  				</td>
				  				

				  				<cfelse>
				  				<td bgcolor="##CCCCCC">#ID#</td>
				  			</cfif>
			  			</cfif>
			  		</cfloop>
			  	</tr>
			  </cfoutput>
				<tr>
					<cfset FieldList = ValueList(Schema.FieldName)>
					<cfloop from="1" to="#ListLen(FieldList)#" index="i">
						<cfif i neq 1>
							<cfoutput>
								<td onclick="window.open('?newrow=1&table=#url.viewtable#&column=#ListGetAt(FieldList,i)#&type=#Schema.DataType[i]#','','width=360,height=150,status=1,scrollbars=1,resizable=1')" style="background-color:##99FF99; cursor:pointer;">&nbsp;</td>
							</cfoutput>
							<cfelse>
							<td align="center" style="background-color:#99FF99;">+</td>
						</cfif>
					</cfloop>
				</tr>
			</table>
		</cfif>
		<!--- <cfdump var="#fieldlist#">
		<cfabort> --->
		<cfelseif IsDefined("url.newrow")>
		<form name="form1" method="post" action="edit.cfm">
			<cfoutput>
				<input type="hidden" name="id" value="new">
				<input type="hidden" name="table" value="#url.table#">
				<input type="hidden" name="column" value="#url.column#">
				<input type="hidden" name="type" value="#url.type#">
				<textarea name="editingfield" rows="8" style="width:98%"></textarea>
			</cfoutput>
			<div align="center"><input type="submit" value="Submit" name="submit"></div>
		</form>
		<cfabort>
		<cfelseif IsDefined("url.editrow")>
		<!--- <cfquery name="Schema" datasource="#Application.psDataSource#">
		select * from #Application.psSchemaTable# where TableName = '#SpanExcluding(url.viewtable,Application.psIllegal_URL_Chars)#' order by Queue
		</cfquery> --->
		<cfquery name="GetData" dataSource="#Application.psDataSource#">
		select #SpanExcluding(url.column,Application.psIllegal_URL_Chars)# as FieldToEdit from #SpanExcluding(url.table,Application.psIllegal_URL_Chars)# where ID = #Val(url.editrow)#
		</cfquery>
		<form name="form1" method="post" action="edit.cfm">
			<cfoutput>
				<input type="hidden" name="id" value="#url.editrow#">
				<input type="hidden" name="table" value="#url.table#">
				<input type="hidden" name="column" value="#url.column#">
				<input type="hidden" name="type" value="#url.type#">
				<textarea name="editingfield" rows="8" style="width:98%">#GetData.FieldToEdit#</textarea>
			</cfoutput>
			<div align="center"><input type="submit" value="Submit" name="submit"></div>
		</form>
		<cfabort>
		<cfelseif IsDefined("form.submit")>
		<cfif ListFind(Application.psNumericDataTypes,form.type)>
			<cfif form.id eq "new">
				<cfquery name="Insert" dataSource="#Application.psDataSource#">
				insert into #form.table# (#form.column#) values (#form.editingfield#)
				</cfquery>
				<cfelse>
				<cfquery name="Update" dataSource="#Application.psDataSource#">
				update #form.table# set #form.column# = #form.editingfield# where ID = #Val(form.id)#
				</cfquery>
			</cfif>
			<cfelse>
			<cfif form.id eq "new">
				<cfquery name="Insert" dataSource="#Application.psDataSource#">
				insert into #form.table# (#form.column#) values ('#form.editingfield#')
				</cfquery>
				<cfelse>
				<cfquery name="Update" dataSource="#Application.psDataSource#">
				update #form.table# set #form.column# = '#form.editingfield#' where ID = #Val(form.id)#
				</cfquery>
			</cfif>
		</cfif>
		<cfquery name="Update" dataSource="#Application.psDataSource#">
		update #form.table# set #form.column# = '#form.editingfield#' where ID = #Val(form.id)#
		</cfquery>
		<script>window.opener.location.reload();window.close();</script>
		<cfabort>
	</cfif>

	<cfelse>
	<cflocation url="/padsite/index.cfm">
</cfif>

</body>
</html>
