<!--- export without cfcontent for now since blocked by daily razor --->
<style type="text/css">
<!--
body, td, th {
	font-family: Arial, Helvetica, sans-serif;
	font-size: 12px;
}
body {
	margin-left: 0px;
	margin-top: 0px;
	margin-right: 0px;
	margin-bottom: 0px;
	background-color: gray;
}
table {
	background-color: gray;
}
td {
	background-color: white;
}
-->
</style>

<cfparam name="AccessRequired" default="true">
<cfparam name="AccessAllowed" default="Webmaster,Administrator">
<cfparam name="url.format" default="html">

<cfif not AccessRequired or (IsDefined("Session.Access") and ListFind(AccessAllowed,Session.Access))>
	
	<cfif IsDefined("url.export")>
		<cfset TableName = SpanExcluding(url.export,Application.psIllegal_URL_Chars)>
  	<cfquery name="Schema" datasource="#Application.psDataSource#">
  	select * from #Application.psSchemaTable# where TableName = '#TableName#' and Subtype <> 'password' and (FieldName = 'ID' or Editable = 1) order by Queue
  	</cfquery>
  	<cfif IsDefined("url.select") and Find("search",url.select)>
  		<!--- export search results only --->
  		<cfquery name="GetQuery" datasource="#Application.psDataSource#">
  		select QueryString from #psSearchTable# where Username = '#Session.Username#' and ID = #Val(ListGetAt(url.select,2,"."))#
  		</cfquery>
  		<cfquery name="Query" datasource="#Application.psDataSource#">
  		#PreserveSingleQuotes(GetQuery.QueryString)#
  		</cfquery>
  		<cfelse>
  		<!--- export full data table --->
  		<cfquery name="Query" datasource="#Application.psDataSource#">
  		select * from #TableName# order by ID
  		</cfquery>
  	</cfif>
		
		<cfswitch expression="#url.format#">
			<cfcase value="html">
			<table cellpadding="2" cellspacing="1">
				<tr>
					<cfloop query="Schema">
						<td><cfoutput>#Schema.FieldName#</cfoutput></td>
					</cfloop>
				</tr>
				<cfoutput query="Query">
					<tr>
						<cfloop query="Schema">
							<cfif ListFind(Application.psStandardDataTypes,Schema.Datatype)>
								<cfset ThisFieldName = Evaluate("Schema.FieldName")>
								<cfset ThisFieldNameValue = Evaluate("Query."&ThisFieldName&"[Query.CurrentRow]")>
								<td nowrap="nowrap">
									<cfif ThisFieldNameValue neq "">
										#ThisFieldNameValue#
										<cfelse>
										&nbsp;
									</cfif>
								</td>
								<cfelse>
								<!--- need to add support for non-standard data types --->
								<td>&nbsp;</td>
							</cfif>
						</cfloop>
					</tr>
				</cfoutput>
			</table>
			</cfcase>
			<cfcase value="ics">
			<cfcontent type="text/calendar">
			<cfheader name="Content-Disposition" value="attachment; filename=Calendar.ics">
			<cfinclude template="/padsite/views/exporter/ics.cfm">
			</cfcase>
			<cfcase value="details">
			<cfoutput>
				<h2>#TableName# Sharing Details</h2>
				<p>http://#cgi.SERVER_NAME#/#cgi.SCRIPT_NAME#?#cgi.QUERY_STRING#</p>
				<p>http://#cgi.SERVER_NAME#/padsite/#cgi.SCRIPT_NAME#?#cgi.QUERY_STRING#</p>
			</cfoutput>
			<cfdump var="#GetTimeZoneInfo()#">
			</cfcase>
		</cfswitch>
		
		<cfelse>
  	<cfquery name="Schema" datasource="#Application.psDataSource#">
  	select distinct TableName from #Application.psSchemaTable#
  	</cfquery>
  	<div style="padding:10px 40px;color:white;line-height:20px;">
  		<p style="font-weight:bold;">Select a table:</p>
	  	<cfoutput query="Schema">
	  		<a href="?export=#TableName#" style="color:white;">#TableName#</a><br>
	  	</cfoutput>
  	</div>
	</cfif>
	<cfelse>
	
</cfif>
