<cfparam name="SetupMode" default="false">

<cfif not SetupMode and (not (IsDefined("Session.Access") and (IsDefined("url.action") or IsDefined("url.compile"))))>
	<cfmail to="#Application.psWebmaster.Email#" from="#Application.psWebmaster.Email#" subject="Failed PageGen Attempt" server="#Application.psMailServer#">nt</cfmail>
	<cfabort>
</cfif>

<cfquery name="Page" datasource="#Application.psDataSource#">
select * from #Application.psAdminPagesTable# where ID = #Val(url.id)#
</cfquery>

<link rel="stylesheet" type="text/css" href="/css/default.css" />

<cfset OpenOutput = "<cfoutput>">
<cfset CloseOutput = "</cfoutput>">
<cfset CrLf = Chr(13) & Chr(10)>
<cfset Tab = Chr(9)>

<cfsetting enablecfoutputonly="yes">
<cfsavecontent variable="PageSource">
<cfoutput>
<cfset Statement = "<cfif not IsDefined(""Session.Access"")><cflocation url=""/padsite/""></cfif>">#Statement#
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>#IIf(url.page eq "reporter",DE(Page.ps_PageTitle),DE(Page.ps_RecordName))# | #OpenOutput###Application.psSiteTitle###CloseOutput#</title>
<link rel="stylesheet" type="text/css" href="/css/default.css" />
<cfif url.page eq "editor"><script type="text/javascript" src="/js/calendarDateInput.js">
/***********************************************
* Jason's Date Input Calendar- By Jason Moon http://calendar.moonscript.com/dateinput.cfm
* Script featured on and available at http://www.dynamicdrive.com
* Keep this notice intact for use.
***********************************************/
</script>
</cfif>
</head>
<!--- user vars --->
<cfset Statement = "<cfset AccessRequired = #IIf(Page.ps_AccessRequired eq 1,DE("TRUE"),DE("FALSE"))#>">#Statement##CrLf#
<cfset Statement = "<cfset AccessAllowed = ""#Page.ps_Access#"">">#Statement##CrLf#
<cfset Statement = "<cfset PageName = ""#Page.ps_PageTitle#"">">#Statement##CrLf#
<cfset Statement = "<cfset TableName = ""#Page.ps_DataTable#"">">#Statement##CrLf#
<cfset Statement = "<cfset RecordName = ""#Page.ps_RecordName#"">">#Statement##CrLf#
<cfset Statement = "<cfset Reporter = ""#Page.ps_FileName#"">">#Statement##CrLf#
<cfset Statement = "<cfset Summary = ""#Page.ps_Summary#"">">#Statement##CrLf#
<cfset Statement = "<cfset Editor = ""#Page.ps_Editor#"">">#Statement##CrLf#
<cfset Statement = "<cfset EditorAccess = ""#Page.ps_EditorAccess#"">">#Statement##CrLf#
<cfset Statement = "<cfset EditorWindowSize = ""#Page.ps_EditorWindowSize#"">">#Statement##CrLf#
<cfset Statement = "<cfset Viewer = ""#Page.ps_Viewer#"">">#Statement##CrLf#
<cfset Statement = "<cfset ViewerAccess = ""#Page.ps_ViewerAccess#"">">#Statement##CrLf#
<cfset Statement = "<cfset ViewerWindowSize = ""#Page.ps_ViewerWindowSize#"">">#Statement##CrLf#
<!--- user vars --->
<body <cfif url.page eq "summary">id="summary"</cfif> class="administrator">
<cfset Statement = "<cfif not AccessRequired or (IsDefined(""Session.Access"") and ListFind(AccessAllowed,Session.Access))>">#Statement##CrLf#
	<cfif url.page eq "reporter">
		<!--- include navigation menu for all reporters --->
		<cfset Statement = "#Tab#<cfinclude template=""/padsite/views/_nav.cfm"">">#Statement##CrLf#
		<!--- include processors for requeue & sendmail - not an elegant solution but will revise later --->
		<!--- <cfset Statement = "<cfinclude template=""/padsite/services/_lib/reporter_requeue.cfm"">">#Statement##CrLf# --->
		<!--- <cfset Statement = "#Tab#<cfinclude template=""/padsite/services/_lib/reporter_sendmail.cfm"">">#Statement##CrLf# --->
		<!--- setup appropriate service --->
		<cfset Statement = "#Tab#<cfset ReportingServices = createObject(""component"", ""padsite.services.#Page.ps_PageSubtype#"")>">#Statement##CrLf#
		<!--- insert code from subtype template (reporter,calendar,requeue,sendmail) that will manage the views --->
		<cffile action="read" file="#ExpandPath('/padsite/user/_templates/#Page.ps_PageSubtype#.cfm')#" variable="Statements" />#Statements##CrLf#
		
		<cfelseif url.page eq "summary">
		<!--- setup service and load summary report --->
		<cfset Statement = "#Tab#<cfset ReportingServices = createObject(""component"", ""padsite.services.reporter"")>">#Statement##CrLf#
		<cfset Statement = "#Tab#<cfset SummaryReport = ReportingServices.psReadRecords(TableName)>">#Statement##CrLf#
		<!--- insert code from summary template --->
		<cffile action="read" file="#ExpandPath('/padsite/user/_templates/summary.cfm')#" variable="Statements">#Statements##CrLf#
		
		<cfelseif url.page eq "editor">
		<cffile action="read" file="#ExpandPath('/padsite/user/_templates/editor.cfm')#" variable="Statements" />#Statements##CrLf#
		<!--- <cfsavecontent variable="Statement">
			<cfinclude template="../_lib/editor.cfm">
		</cfsavecontent> --->
		
		<cfelseif url.page eq "viewer">
		<div style="padding:0px 30px;">
		<cfset Statement = "#Tab#<cfinclude template=""/padsite/services/_lib/viewer.cfm"">">#Statement#
		</div>
		
		<cfelse>
		<cfabort showerror="unsupported file subtype: can't select include">
	</cfif>
	<cfset Statement = "#Tab#<cfelse>">#Statement##CrLf#
	<cfset Statement = "#Tab#<cflocation url=""/padsite/?session=expired"">">#Statement##CrLf#
<cfset Statement = "</cfif>">#Statement#
</body>
</html>
</cfoutput>
</cfsavecontent>

<cfif url.page eq "reporter">
	<cfset PageFilePath = ExpandPath("/padsite/user/#Page.ps_FileName#")>
	<cfelseif url.page eq "summary">
	<cfset PageFilePath = ExpandPath("/padsite/user/#Page.ps_Summary#")>
	<cfelseif url.page eq "editor">
	<cfset PageFilePath = ExpandPath("/padsite/user/#Page.ps_Editor#")>
	<cfelseif url.page eq "viewer">
	<cfset PageFilePath = ExpandPath("/padsite/user/#Page.ps_Viewer#")>
	<cfelse>
	<cfabort showerror="unsupported page type: cannot determine filename">
</cfif>

<cfif Application.psPageGen.MakeBackups and FileExists(PageFilePath)>
	<cfset PageBackup = PageFilePath & ".backup_" & DateFormat(Now(),"yyyymmdd") & "_" & TimeFormat(Now(),"HHmmss")>
	<cffile action="rename" source="#PageFilePath#" destination="#PageBackup#">
</cfif>

<cffile action="write" file="#PageFilePath#" output="#PageSource#">
<cfoutput>
	<p align="center" style="color:white;">&nbsp;<br />Page Created/Updated Successfully<br />&nbsp;<br />
		<a href="javascript:window.close();" style="color:white;">Close Window</a></p>
		<script language="javascript">window.close();</script>
</cfoutput>
