<!--- USAGE ---
<cf_sql_update														--version 1.0
	StringFields="#ListOfStringFields#"			--required
	NumericFields="#ListOfNumericFields#"		--required
	DataSource=""														--required
	TableName=""														--required
	ID="#Val(form.id)#"											--required
>

Script assumes that all needed cfparam tags have been processed and all form values have been validated
Data tables are assumed to be indexed on integer ID field with autoincrement on --->
<cfset StringFields = Attributes.StringFields>
<cfset NumericFields = Attributes.NumericFields>
<cfset ListLength = ListLen(StringFields) + ListLen(NumericFields)>
<cfset Counter = 0>
<cfquery name="SQLQuery" datasource="#Attributes.DataSource#">
update #Attributes.TableName# set
<cfloop list="#StringFields#" index="CurrentStringField">
	<cfset Counter = Counter + 1>
	<cfset Value = Evaluate("#CurrentStringField#")>
	#CurrentStringField# = '#Value#'
	<cfif Counter lt ListLength>,</cfif>
</cfloop>
<cfloop list="#NumericFields#" index="CurrentNumericField">
	<cfset Counter = Counter + 1>
	<cfset Value = Evaluate("#CurrentNumericField#")>
	#CurrentNumericField# =
	<cfif Value eq "">0<cfelse>#Val(Value)#</cfif>
	<cfif Counter lt ListLength>,</cfif>
</cfloop>
<cfif isDefined("Attributes.ID")>
	where ID = #Val(Attributes.ID)#
	<cfelse>
	where ID = -1
</cfif>
</cfquery>
