<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>/padsite/setup | <cfoutput>#Application.psSiteTitle#</cfoutput></title>
<link rel="stylesheet" type="text/css" href="/css/default.css" />
<!--- user vars --->
<cfset AccessRequired = TRUE>
<cfset AccessAllowed = "Administrator,Webmaster">
<!--- user vars --->
</head>
<body class="administrator">

<cfinclude template="/padsite/views/_nav.cfm">

<cfif IsDefined("Session.Access") and ListFind(Application.psConfigAccess,Session.Access)>
	
	<cfinclude template="services/_lib/createTables.cfm">
	
	<cfif IsDefined("Init.Status") and Init.Status eq "initialize">
		<!--- new AdminPagesTable created -- need to create pages --->
		<cfset url.compile = "all">
		<cfinclude template="/padsite/services/_lib/page_gen_all.cfm">
	</cfif>
	
	<cfif IsDefined("url.table")>
	  <!--- display table for editing --->
	  <div id="admin_Report">
		  <div id="admin_Reporter_Header">
		  	<div style="float:left;font-weight:bold;"><a href="setup.cfm">Tables</a> / <cfoutput>#url.table#</cfoutput></div>
		  	<div style="float:right;font-weight:bold;"><cfoutput><strong><a href="/padsite/services/_lib/edit.cfm?viewtable=#url.table#" target="_blank" ><!--- onclick="window.open('/padsite/services/_lib/sql_com.cfm','','width=320,height=600,status=1,resizable=1,scrollbars=1');" --->View/Edit Table</a></strong></cfoutput></div>
		  </div>
		  <table width="100%" border="0" align="center" cellpadding="4" cellspacing="1">
		  	<tr bgcolor="#DDD">
		  		<td class="table_ColumnHeader">Queue</td>
		  		<td class="table_ColumnHeader" align="center">Move</td>
		  		<td class="table_ColumnHeader">Fieldname</td>
		  		<td class="table_ColumnHeader">Fieldset</td>
		  		<td class="table_ColumnHeader">DataType</td>
		  		<td class="table_ColumnHeader">Subtype</td>
		  		<td class="table_ColumnHeader" align="center">Disp</td>
		  		<td class="table_ColumnHeader" align="center">Sum</td>
		  		<td class="table_ColumnHeader" align="center">Sort</td>
		  		<td class="table_ColumnHeader" align="center">Edit</td>
		  		<td class="table_ColumnHeader" align="center">Rqrd</td>
		  		<td class="table_ColumnHeader">Size</td>
		  		<td class="table_ColumnHeader">Configuration Options</td>
		  		<td class="table_ColumnHeader" width="20" align="center">X</td>
		  	</tr>
		  	<cfquery name="Schema" datasource="#Application.psDataSource#">
		  	select * from #Application.psSchemaTable# where TableName = '#SpanExcluding(url.table,Application.psIllegal_URL_Chars)#' order by Queue
		  	</cfquery>
		  	<!---<cfquery name="Table" datasource="#Application.psDataSource#">
		  		select column_name, data_type, character_maximum_length from information_schema.columns where table_name = '#SpanExcluding(url.table,Application.psIllegal_URL_Chars)#'
		  		</cfquery>--->
		  	<cfoutput query="Schema">
		  		<tr class="table_Row_RolloverHighlight">
		  			<td class="table_DataCell">#Schema.Queue#</td>
		  			<td class="table_DataCell" align="center" nowrap="nowrap"><cfif Schema.Queue gt 2>
		  					<a href="/padsite/services/_lib/column.cfm?id=#Schema.ID#&move=-1&table=#url.table#">Up</a>
		  					<cfelse>
		  					<s>Up</s>
		  				</cfif>
		  				|
		  				<cfif Schema.Queue lt Schema.RecordCount and Schema.Queue gt 1>
		  					<a href="/padsite/services/_lib/column.cfm?id=#Schema.ID#&move=1&table=#url.table#">Dn</a>
		  					<cfelse>
		  					<s>Dn</s>
		  				</cfif></td>
		  			<td class="table_DataCell"><a href="/padsite/services/_lib/column.cfm?column=#Schema.ID#" target="_blank" onclick="window.open('/padsite/services/_lib/column.cfm?column=#Schema.ID#','','width=800,height=360,status=1');return false;">#Schema.FieldName#</a></td>
		  			<td class="table_DataCell">#Schema.Fieldset#</td>
		  			<td class="table_DataCell"><cfif Schema.DataType eq "text">
		  					<i>container</i>
		  					<cfelseif Schema.DataType eq "custom">
		  					<i>custom</i>
		  					<cfelse>
		  					#Schema.DataType#
		  				</cfif></td>
		  			<td class="table_DataCell">#Schema.Subtype#</td>
		  			<td class="table_DataCell" align="center">#IIf(Schema.Display eq 1,DE("&bull;"),DE("-"))#</td>
		  			<td class="table_DataCell" align="center">#IIf(Schema.Summary eq 1,DE("&bull;"),DE("-"))#</td>
		  			<td class="table_DataCell" align="center">#IIf(Schema.Sortable eq 1,DE("&bull;"),DE("-"))#</td>
		  			<td class="table_DataCell" align="center">#IIf(Schema.Editable eq 1,DE("&bull;"),DE("-"))#</td>
		  			<td class="table_DataCell" align="center">#IIf(Schema.Required eq 1,DE("&bull;"),DE("-"))#</td>
		  			<td class="table_DataCell">#IIf(Schema.DataType eq "varchar",Schema.DataSize,DE("-"))#</td>
		  			<td class="table_DataCell">#Left(Schema.Options,30)##IIf(Len(Schema.Options) gt 30,DE("..."),DE(""))#</td>
		  			<td class="table_DataCell" align="center"><a href="/padsite/services/_lib/column.cfm?deletecolumn=#Schema.FieldName#&table=#url.table#" onclick="if (confirm('Delete column #Schema.FieldName#?')) window.location.href='/padsite/services/_lib/column.cfm?deletecolumn=#Schema.FieldName#&table=#url.table#';return false;">X</a></td>
		  		</tr>
		  	</cfoutput>
		  	<cfoutput>
		  		<tr style="background-color:##DDD;" >
		  			<!--- onmouseover="this.style.backgroundColor='##EEEEEE'" onmouseout="this.style.backgroundColor='##DDD'" --->
		  			<td class="table_DataCell" colspan="14">
		  				<div style="float:left;">
		  					<a href="/padsite/services/_lib/column.cfm?table=#SpanExcluding(url.table,Application.psIllegal_URL_Chars)#&column=new&queue=#Schema.RecordCount+1#" target="_blank" onclick="window.open('/padsite/services/_lib/column.cfm?table=#SpanExcluding(url.table,Application.psIllegal_URL_Chars)#&column=new&queue=#Schema.RecordCount+1#','','width=260,height=260,status=1');return false;">Add A New Data Field</a> | 
		  					<a href="/padsite/services/_lib/column.cfm?action=cctc&table=#url.table#" target="_blank" onclick="window.open('/padsite/services/_lib/column.cfm?action=cctc&table=#url.table#','','width=640,height=300,status=1,scrollbars=1,resizable=1');return false;">Copy Column To Column</a>
		  				</div>
		  				<div style="float:right;">
		  					<cfoutput>
		  						<a href="/padsite/services/_lib/table.cfm?action=regenerate&table=#url.table#" onclick="if (!confirm('Are you sure you want to regenerate the schema for this table?')) return false;">Reset Table Schema</a>
		  					</cfoutput>
		  				</div>
		  			</td>
		  		</tr>
		  	</cfoutput>
		  </table>
		  <p>&nbsp;</p>
		  <cfquery name="Pages" dataSource="#Application.psDataSource#">
		  select * from #Application.psAdminPagesTable# where ps_DataTable = '#url.table#' order by ps_PageTitle
		  </cfquery>
		  <table width="100%" cellspacing="1">
		  	<tr bgcolor="#BBB">
		  		<td class="table_DataCell" colspan="9"><strong>Admin Pages Associated With This Table</strong></td>
		  	</tr>
		  	<tr bgcolor="#DDD">
		  		<td class="table_ColumnHeader">Menu</td>
		  		<td class="table_ColumnHeader">Page Title</td>
		  		<td class="table_ColumnHeader">File Name</td>
		  		<td class="table_ColumnHeader">Page Subtype</td>
		  		<td class="table_ColumnHeader">Access</td>
		  		<td class="table_ColumnHeader">Summary</td>
		  		<td class="table_ColumnHeader">Editor</td>
		  		<td class="table_ColumnHeader">Viewer</td>
		  		<td class="table_ColumnHeader" width="20" align="center">X</td>
		  	</tr>
		  	<cfoutput query="Pages">
		  		<tr class="table_Row_RolloverHighlight">
		  			<td class="table_DataCell">#IIf(ps_Menu neq "",DE(ps_Menu),DE("-"))#</td>
		  			<td class="table_DataCell"><a href="/padsite/services/_lib/page.cfm?page=#ID#&table=#SpanExcluding(url.table,Application.psIllegal_URL_Chars)#" target="_blank" onclick="window.open('/padsite/services/_lib/page.cfm?page=#ID#&table=#SpanExcluding(url.table,Application.psIllegal_URL_Chars)#','','width=640,height=720,status=1');return false;">#IIf(ps_PageTitle neq "",DE(ps_PageTitle),DE("<em>Undefined</em>"))#</a></td>
		  			<td class="table_DataCell"><cfif Left(ps_FileName,2) eq "x_"><i style="color:gray;">#ps_FileName#</i><cfelse>#ps_FileName#</cfif></td>
		  			<td class="table_DataCell">#ps_PageSubtype#</td>
		  			<td class="table_DataCell">#ps_Access#</td>
		  			<td class="table_DataCell">#ps_Summary#</td>
		  			<td class="table_DataCell"><cfif Left(ps_Editor,2) eq "x_"><i style="color:gray;">#ps_Editor#</i><cfelse>#ps_Editor#</cfif></td>
		  			<td class="table_DataCell">#ps_Viewer#</td>
		  			<td class="table_DataCell" align="center"><a href="/padsite/services/_lib/page.cfm?delete=#ID#" onclick="if (confirm('Are you sure you want to delete this page?')) window.location.href='/padsite/services/_lib/page.cfm?delete=#ID#&table=#ps_DataTable#';return false;">X</a></td>
		  		</tr>
		  	</cfoutput>
		  	<cfif Pages.RecordCount eq 0>
		  		<tr bgcolor="#DDD">
		  			<td class="table_DataCell" colspan="9">No Pages Found</td>
		  		</tr>
		  	</cfif>
		  	<cfoutput>
		  		<tr onmouseover="this.style.backgroundColor='##EEE'" onmouseout="this.style.backgroundColor=''">
		  			<td class="table_DataCell" colspan="9" style="background-color:##DDD;"><a href="/padsite/services/_lib/page.cfm?page=new&table=#SpanExcluding(url.table,Application.psIllegal_URL_Chars)#" target="_blank" onclick="window.open('/padsite/services/_lib/page.cfm?page=new&table=#SpanExcluding(url.table,Application.psIllegal_URL_Chars)#','','width=640,height=720,status=1');return false;">Add A New Page</a></td>
		  		</tr>
		  	</cfoutput>
		  </table>
	  </div>
	  <cfelse>
	  <!--- no specific table requested; display all tables or system tables --->
	  <cfquery name="AdministratorTables" dataSource="#Application.psDataSource#">
    select table_name from information_schema.tables where table_name like '#Application.psTablePrefix#administrator_%' and table_type = 'BASE TABLE' and table_name like '#Application.psTablePrefix#administrator_%' order by table_name
	  </cfquery>
	  <cfquery name="WebmasterTables" datasource="#Application.psDataSource#">
    select table_name from information_schema.tables where table_name like '#Application.psTablePrefix#%' and table_type = 'BASE TABLE' and table_name not in (#PreserveSingleQuotes(Application.psSystemTables)#) and table_name not like '#Application.psTablePrefix#administrator_%' order by table_name
    </cfquery>
    <cfquery name="SystemTables" datasource="#Application.psDataSource#">
    select table_name from information_schema.tables where table_name in (#PreserveSingleQuotes(Application.psSystemTables)#) and table_type = 'BASE TABLE' order by table_name
    </cfquery>
    <div id="admin_Report">
		  <div id="admin_Reporter_Header">
				<div style="float:left;font-weight:bold;">Tables</div>
		  </div>
		  <table width="100%" cellspacing="1">
		  	<tr bgcolor="#DDD">
		  		<td class="table_ColumnHeader">Table Name</td>
		  		<td class="table_ColumnHeader">Table Type</td>
		  		<td class="table_ColumnHeader">Rename</td>
		  		<td class="table_ColumnHeader" width="20" align="center">X</td>
		  	</tr>
		  	<cfif AdministratorTables.RecordCount gt 0>
		  		<cfoutput query="AdministratorTables">
		  			<tr class="table_Row_RolloverHighlight">
		  				<td class="table_DataCell"><span style="color:gray;">#Application.psTablePrefix#</span><a href="setup.cfm?table=#table_name#">#Replace(table_name,"#Application.psTablePrefix#","")#</a></td>
		  				<td class="table_DataCell">Administrator</td>
		  				<td class="table_DataCell"><a href="/padsite/services/_lib/table.cfm?renametable=#table_name#" target="_blank" onclick="window.open('/padsite/services/_lib/table.cfm?renametable=#table_name#','','width=500,height=166,status=1');return false;">Rename</a></td>
		  				<td class="table_DataCell" align="center"><a href="/padsite/services/_lib/table.cfm?deletetable=#table_name#" onclick="if (confirm('Confirm: Delete table #table_name#?')) document.location.href='/padsite/services/_lib/table.cfm?deletetable=#table_name#';return false;">X</a></td>
		  			</tr>
		  		</cfoutput>
					<cfelse>
					<tr bgcolor="#DDD">
						<td colspan="4" class="table_DataCell" style="font-style:italic;">No Administrator Tables Found</td>
					</tr>
		  	</cfif>
		  	<cfif Session.Access eq "Webmaster">
			  	<cfif WebmasterTables.RecordCount gt 0 or SystemTables.RecordCount gt 0>
			  		<cfoutput query="WebmasterTables">
			  			<tr class="table_Row_RolloverHighlight">
			  				<td class="table_DataCell"><span style="color:gray;">#Application.psTablePrefix#</span><a href="setup.cfm?table=#table_name#">#Replace(table_name,"#Application.psTablePrefix#","")#</a></td>
			  				<td class="table_DataCell">Webmaster</td>
			  				<td class="table_DataCell"><a href="/padsite/services/_lib/table.cfm?renametable=#table_name#" target="_blank" onclick="window.open('/padsite/services/_lib/table.cfm?renametable=#table_name#','','width=500,height=166,status=1');return false;">Rename</a></td>
			  				<td class="table_DataCell" align="center"><a href="/padsite/services/_lib/table.cfm?deletetable=#table_name#" onclick="if (confirm('Confirm: Delete table #table_name#?')) document.location.href='/padsite/services/_lib/table.cfm?deletetable=#table_name#';return false;">X</a></td>
			  			</tr>
			  		</cfoutput>
			  		<cfoutput query="SystemTables">
			  			<tr class="table_Row_RolloverHighlight">
			  				<td class="table_DataCell"><span style="color:gray;">#Application.psTablePrefix#</span><a href="setup.cfm?table=#table_name#">#Replace(table_name,"#Application.psTablePrefix#","")#</a></td>
			  				<td class="table_DataCell">System</td>
			  				<td class="table_DataCell">&nbsp;<!--- <a href="/padsite/services/_lib/table.cfm?renametable=#table_name#" target="_blank" onclick="window.open('/padsite/services/_lib/table.cfm?renametable=#table_name#','','width=500,height=166,status=1');return false;">Rename</a> ---></td>
			  				<td class="table_DataCell">&nbsp;<!--- <a href="/padsite/services/_lib/table.cfm?deletetable=#table_name#" onclick="if (confirm('Confirm: Delete table #table_name#?')) document.location.href='/padsite/services/_lib/table.cfm?deletetable=#table_name#';return false;">Delete</a> ---></td>
			  			</tr>
			  		</cfoutput>
			  		<cfelse>
			  		<tr style="background-color:#DDD;">
			  			<td class="table_ColumnHeader" colspan="4">No (<cfoutput>#Application.psTablePrefix#</cfoutput>) tables found</td>
			  		</tr>
			  	</cfif>
		  	</cfif>
		  	<tr style="background-color:#DDD;">
		  		<td colspan="4" style="padding:2px 10px;"><div style="float:left;">
		  				<a href="/padsite/services/_lib/table.cfm?table=new" target="_blank" onclick="window.open('/padsite/services/_lib/table.cfm?table=new','','width=500,height=300,status=1');return false;">Add A New Table</a> | 
		  				<a href="/padsite/services/_lib/import.cfm" target="_blank" onclick="window.open('/padsite/services/_lib/import.cfm','','width=500,height=280,status=1');return false;">Import Data</a> | 
		  				<a href="/padsite/services/_lib/export.cfm" target="_blank" onclick="window.open('/padsite/services/_lib/export.cfm','','width=500,height=280,status=1');return false;">Export Data</a>
		  			</div>
		  			<div style="float:right;">&nbsp;</div></td>
		  	</tr>
		  </table>
		  <p>&nbsp;</p>
		  <cfif Session.Access eq "Webmaster">
			  <cfquery name="Pages" dataSource="#Application.psDataSource#">
			  if exists (select 1 from information_schema.tables where table_type = 'BASE TABLE' and table_name = '#Application.psAdminPagesTable#')
			  	select * from #Application.psAdminPagesTable# order by Queue;
			  	else
			  	select 0 as Status;
			  </cfquery>
			  <cfif IsDefined("Pages.ps_Menu")>
				  <table width="100%" cellspacing="1">
				  	<tr bgcolor="#BBB">
				  		<td class="table_ColumnHeader" colspan="9">
				  			<div style="float:left;"><cfoutput>#Application.ApplicationName#</cfoutput> Pages</div>
				  			<div style="float:right;"><strong><a href="/padsite/services/_lib/page_gen_all.cfm?compile=all">Remake All Pages (Compile)</a></strong></div>
				  		</td>
				  	</tr>
				  	<tr bgcolor="#DDD">
				  		<td class="table_ColumnHeader">Menu</td>
				  		<td class="table_ColumnHeader">Page Title</td>
				  		<td class="table_ColumnHeader">File Name</td>
				  		<td class="table_ColumnHeader">Page Subtype</td>
				  		<td class="table_ColumnHeader">Access</td>
				  		<td class="table_ColumnHeader">Summary</td>
				  		<td class="table_ColumnHeader">Editor</td>
				  		<td class="table_ColumnHeader">Viewer</td>
				  		<td class="table_ColumnHeader" width="20" align="center">X</td>
				  	</tr>
				  	<cfoutput query="Pages">
				  		<tr class="table_Row_RolloverHighlight">
				  			<td class="table_DataCell">#IIf(ps_Menu neq "",DE(ps_Menu),DE("-"))#</td>
				  			<td class="table_DataCell"><a href="/padsite/services/_lib/page.cfm?page=#ID#&table=#ps_DataTable#" target="_blank" onclick="window.open('/padsite/services/_lib/page.cfm?page=#ID#&table=#ps_DataTable#','','width=640,height=720,status=1');return false;">#IIf(ps_PageTitle neq "",DE(ps_PageTitle),DE("<em>Undefined</em>"))#</a></td>
				  			<td class="table_DataCell"><cfif Left(ps_FileName,2) eq "x_"><i style="color:gray;">#ps_FileName#</i><cfelse>#ps_FileName#</cfif></td>
				  			<td class="table_DataCell">#ps_PageSubtype#</td>
				  			<td class="table_DataCell">#ps_Access#</td>
				  			<td class="table_DataCell">#ps_Summary#</td>
				  			<td class="table_DataCell"><cfif Left(ps_Editor,2) eq "x_"><i style="color:gray;">#ps_Editor#</i><cfelse>#ps_Editor#</cfif></td>
				  			<td class="table_DataCell">#ps_Viewer#</td>
				  			<td class="table_DataCell" align="center"><a href="/padsite/services/_lib/page.cfm?delete=#ID#" onclick="if (confirm('Are you sure you want to delete this page?')) window.location.href='/padsite/services/_lib/page.cfm?delete=#ID#&table=#ps_DataTable#';return false;">X</a></td>
				  		</tr>
				  	</cfoutput>
				  	<tr bgcolor="#DDD">
				  		<td class="table_DataCell" colspan="9">You must select a specific table (above) in order to add new admin pages.</td>
				  	</tr>
				  </table>
			  </cfif>
		  </cfif>
	  </div>
	</cfif>
	<cfelse>
	<cflocation url="/padsite/">
</cfif>
</body>
</html>
