<cfparam name="url.source" default="">
<cfparam name="url.sendmail" default="0">
<cfparam name="url.select" default="-1">
<cfparam name="url.sort" default="ID">
<cfparam name="url.order" default="asc">

<div style="padding:20px 40px;">
	
	<cfset Report = ReportingServices.psReadRecords(TableName)>
	
 	<cfif Report.Success>
		<!--- PROCESS SENDMAIL FORM - convert to cfc --->
		<!--- need to append generic (branded?) subscription notice with unsubscribe link and...
					create unsubscribe field if does not exist (this latter step could be handled on the unsubscribe page) --->
		<cfif IsDefined("form.sendmail")>
			<cfset SendMail = ReportingServices.psSendMail()>
			<cfif SendMail.Success>
				<!--- provide some minimal feedback to the user --->
				<fieldset style="width:65%;margin:auto;">
					<legend>SendMail: Message(s) sent successfully.</legend>
					<div style="padding:0px 20px;">
						<p>Valid Addresses: <cfoutput>#Replace(SendMail.ValidAddresses,",",", ","all")#</cfoutput></p>
						<p>Invalid Addresses: <cfoutput>#Replace(SendMail.InvalidAddresses,",",", ","all")#</cfoutput></p>
					</div>
				</fieldset>
			</cfif>

 			<cfelseif IsDefined("url.requeue")>
			<cfif ListLen(url.requeue) gt 1>
				<cfquery name="GetOrder" datasource="#Application.psDataSource#">
				select ID,Queue from #TableName# order by Queue
				</cfquery>
				<cfset NewIndex = 0>
				<cftransaction>
					<cfquery name="ReQueue" datasource="#Application.psDataSource#">
						<cfloop list="#url.requeue#" index="i">
							<cfset NewIndex = NewIndex + 1>
							update #TableName# set Queue = #NewIndex# where ID = #GetOrder.ID[i]#;
						</cfloop>
					</cfquery>
				</cftransaction>
			</cfif>
 			<cfinclude template="/padsite/views/reporter/requeue.cfm">
 			
 			<cfelseif url.sendmail neq 0>
 			<cfinclude template="/padsite/views/reporter/sendmail.cfm">
 			
 			<cfelse>
 			<cfinclude template="/padsite/views/reporter/header.cfm">
 			<table id="reporterTable" width="100%" border="0" cellspacing="1">
 				<cfinclude template="/padsite/views/reporter/tabs.cfm">
 				<cfinclude template="/padsite/views/reporter/rows.cfm">
 			</table>
 		</cfif>
 		
 		<cfelseif IsDefined("Report.ErrorMessage")>
 		<cfoutput>
 			#Report.ErrorMessage#
 		</cfoutput>
 		
 		<cfelse>
 		Error: #cgi.SCRIPT_NAME#.psReadRecords()
 	</cfif>
 	
</div>