<cfsetting enableCFoutputOnly="Yes">

<cfset crlf = Chr(13) & Chr(10)>
<cfset CalArray = ArrayNew(1)>

<cfset ArrayAppend(CalArray,"BEGIN:VCALENDAR" & crlf)>
<cfset ArrayAppend(CalArray,"VERSION:2.0" & crlf)>
<cfset ArrayAppend(CalArray,"PRODID:-//Jack Palmer//Padsite//EN" & crlf)>
<cfset ArrayAppend(CalArray,"CALSCALE:GREGORIAN" & crlf)>
<cfset ArrayAppend(CalArray,"BEGIN:VTIMEZONE" & crlf)>
<cfset ArrayAppend(CalArray,"TZID:America/Chicago" & crlf)>
<cfset ArrayAppend(CalArray,"BEGIN:DAYLIGHT" & crlf)>
<cfset ArrayAppend(CalArray,"TZOFFSETFROM:-0600" & crlf)>
<cfset ArrayAppend(CalArray,"RRULE:FREQ=YEARLY;BYMONTH=3;BYDAY=2SU" & crlf)>
<cfset ArrayAppend(CalArray,"DTSTART:20070311T020000" & crlf)>
<cfset ArrayAppend(CalArray,"TZNAME:CDT" & crlf)>
<cfset ArrayAppend(CalArray,"TZOFFSETTO:-0500" & crlf)>
<cfset ArrayAppend(CalArray,"END:DAYLIGHT" & crlf)>
<cfset ArrayAppend(CalArray,"BEGIN:STANDARD" & crlf)>
<cfset ArrayAppend(CalArray,"TZOFFSETFROM:-0500" & crlf)>
<cfset ArrayAppend(CalArray,"RRULE:FREQ=YEARLY;BYMONTH=11;BYDAY=1SU" & crlf)>
<cfset ArrayAppend(CalArray,"DTSTART:20071104T020000" & crlf)>
<cfset ArrayAppend(CalArray,"TZNAME:CST" & crlf)>
<cfset ArrayAppend(CalArray,"TZOFFSETTO:-0600" & crlf)>
<cfset ArrayAppend(CalArray,"END:STANDARD" & crlf)>
<cfset ArrayAppend(CalArray,"END:VTIMEZONE" & crlf)>

<cfloop query="Query">
	<cfset ArrayAppend(CalArray,"BEGIN:VEVENT" & crlf)>
	<cfset ArrayAppend(CalArray,"UID:#Query.UUID#" & crlf)>
	<cfset ArrayAppend(CalArray,"DTSTAMP:#DateFormat(Query.DateCreated,'yyyymmdd')#T#TimeFormat(Query.DateCreated,'HHmmss')#Z" & crlf)>
	<cfset ArrayAppend(CalArray,"ORGANIZER;CN=Jack Palmer:MAILTO:jackpalmer@mac.com" & crlf)>
	<cfset ArrayAppend(CalArray,"DTSTART;TZID=America/Chicago:#DateFormat(Query.Start,'yyyymmdd')#T#TimeFormat(Query.Start,'HHmmss')#" & crlf)>
	<cfset ArrayAppend(CalArray,"DTEND;TZID=America/Chicago:#DateFormat(Query.Stop,'yyyymmdd')#T#TimeFormat(Query.Stop,'HHmmss')#" & crlf)>
	
	<cfif RecurringEvent eq 1>
		<cfswitch expression="#RecurringInterval#">
			<cfcase value="Annually">
				<cfset ArrayAppend(CalArray,"RRULE:FREQ=YEARLY;UNTIL=#DateFormat(RecurringThrough,"yyyymmdd")#T#TimeFormat(RecurringThrough,"HHmmss")#" & crlf)>
			</cfcase>
			<cfcase value="Montly">
				<cfset ArrayAppend(CalArray,"RRULE:FREQ=MONTHLY;UNTIL=#DateFormat(RecurringThrough,"yyyymmdd")#T#TimeFormat(RecurringThrough,"HHmmss")#" & crlf)>
			</cfcase>
			<cfcase value="Weekly">
				<cfset ArrayAppend(CalArray,"RRULE:FREQ=WEEKLY;UNTIL=#DateFormat(RecurringThrough,"yyyymmdd")#T#TimeFormat(RecurringThrough,"HHmmss")#" & crlf)>
			</cfcase>
			<cfcase value="Daily">
				<cfset ArrayAppend(CalArray,"RRULE:FREQ=DAILY;UNTIL=#DateFormat(RecurringThrough,"yyyymmdd")#T#TimeFormat(RecurringThrough,"HHmmss")#" & crlf)>
			</cfcase>
		</cfswitch>
	</cfif>
	
	<cfset ArrayAppend(CalArray,"SUMMARY:#Query.Event#" & crlf)>
	<cfset ArrayAppend(CalArray,"END:VEVENT" & crlf)>
</cfloop>

<cfset ArrayAppend(CalArray,"END:VCALENDAR")>

<cfloop list="#ArrayToList(CalArray)#" index="CurrentStatement"><cfoutput>#CurrentStatement#</cfoutput></cfloop>

BEGIN:VCALENDAR
VERSION:2.0
PRODID:-//hacksw/handcal//NONSGML v1.0//EN
BEGIN:VEVENT
UID:uid1@example.com
DTSTAMP:19970714T170000Z
ORGANIZER;CN=John Doe:MAILTO:john.doe@example.com
DTSTART:19970714T170000Z
DTEND:19970715T035959Z
SUMMARY:Bastille Day Party
END:VEVENT
END:VCALENDAR

for recurring events...
RRULE:FREQ=WEEKLY;UNTIL=20111227;BYDAY=TU