<cfif IsDefined("form.submit_btn") and ListFind("AND Search,OR Search",form.submit_btn)>
	<cfif form.submit_btn eq "AND Search">
		<cfset local.SearchType = "and">
		<cfset local.QueryString = "select * from #TableName# where ID > 0">
		<cfelseif form.submit_btn eq "OR Search">
		<cfset local.SearchType = "or ">
		<cfset local.QueryString = "select * from #TableName# where ID < 0">
		<cfelse>
		Invalid Search Request
		<cfabort>
	</cfif>
	<br>BEGIN SEARCH (<cfoutput>#ValueList(local.Schema.FieldName)#</cfoutput>)
	<cfset local.SearchName = "">
  <cfloop from="1" to="#ListLen(ValueList(local.Schema.FieldName))#" index="local.i">
  	<br><cfoutput>#local.Schema.FieldName[local.i]# = #IIf(IsDefined("form.#local.Schema.FieldName[local.i]#"),"form.#local.Schema.FieldName[local.i]#",DE("-"))#</cfoutput>
  	<cfif local.Schema.Editable[local.i] and ListFind(Application.psStandardDataTypes,local.Schema.Datatype[local.i])>
  		<cfif IsDefined("form.#local.Schema.FieldName[local.i]#") and Evaluate("form."&local.Schema.FieldName[local.i]) neq "">
  		
  			
 				<cfif local.Schema.DataType[local.i] eq "datetime">
 					<cfif Evaluate("form."&local.Schema.FieldName[local.i]&"_month") neq 0>
 						<cfset local.QueryString = local.QueryString & " #local.SearchType# month(#local.Schema.FieldName[local.i]#) = #Val(Evaluate("form."&local.Schema.FieldName[local.i]&"_month"))#">
 						<cfset local.SearchName = local.SearchName & " #local.SearchType# Month = #Evaluate("form."&local.Schema.FieldName[local.i]&"_month")#">
 					</cfif>
 					<cfif Evaluate("form."&local.Schema.FieldName[local.i]&"_day") neq 0>
 						<cfset local.QueryString = local.QueryString & " #local.SearchType# day(#local.Schema.FieldName[local.i]#) = #Val(Evaluate("form."&local.Schema.FieldName[local.i]&"_day"))#">
 						<cfset local.SearchName = local.SearchName & " #local.SearchType# Day = #Evaluate("form."&local.Schema.FieldName[local.i]&"_day")#">
 					</cfif>
 					<cfif Evaluate("form."&local.Schema.FieldName[local.i]&"_year") neq "">
 						<cfset local.QueryString = local.QueryString & " #local.SearchType# year(#local.Schema.FieldName[local.i]#) = #Val(Evaluate("form."&local.Schema.FieldName[local.i]&"_year"))#">
 						<cfset local.SearchName = local.SearchName & " #local.SearchType# Year = #Evaluate("form."&local.Schema.FieldName[local.i]&"_year")#">
 					</cfif>

   				<cfelseif local.Schema.DataType[local.i] eq "bit">
   				<cfif Val(Evaluate("form."&local.Schema.FieldName[local.i])) eq 1>
   					<cfset local.QueryString = local.QueryString & " #local.SearchType# #local.Schema.FieldName[local.i]# = 1">
   					<cfset local.SearchName = local.SearchName & " #local.SearchType# #local.Schema.FieldName[local.i]# = 1">
   					<cfelseif Val(Evaluate("form."&local.Schema.FieldName[local.i])) eq 0>
   					<cfset local.QueryString = local.QueryString & " #local.SearchType# #local.Schema.FieldName[local.i]# = 0">
   					<cfset local.SearchName = local.SearchName & " #local.SearchType# #local.Schema.FieldName[local.i]# = 0">
   				</cfif>
   				
   				<cfelseif ListFind(Application.psNumericDataTypes,local.Schema.DataType[local.i]) and Val(Evaluate("form."&local.Schema.FieldName[local.i])) neq 0>
   				<cfset local.QueryString = local.QueryString & " #local.SearchType# #local.Schema.FieldName[local.i]# = #Val(Evaluate("form."&local.Schema.FieldName[local.i]))#">
   				<cfset local.SearchName = local.SearchName & " #local.SearchType# #local.Schema.FieldName[local.i]# = #Val(Evaluate("form."&local.Schema.FieldName[local.i]))#">

 					<cfelse>
 					<!--- assumed to be a varchar, char, text or any other supported standard string type --->
 					<cfset local.QueryString = local.QueryString & " #local.SearchType# #local.Schema.FieldName[local.i]# like '%#SpanExcluding(Evaluate("form."&local.Schema.FieldName[local.i]),Application.psIllegal_URL_Chars)#%'">
 					<cfset local.SearchName = local.SearchName & " #local.SearchType# #local.Schema.FieldName[local.i]# like '#SpanExcluding(Evaluate("form."&local.Schema.FieldName[local.i]),Application.psIllegal_URL_Chars)#'">
 				</cfif>
  				
  			
  		</cfif>
  		<cfelseif local.Schema.DataType[local.i] eq "list">
			<!--- BEGIN search grouplist... append to end of Search Section 
  			4,GroupName,MemberIDs,webjack_Groups --->
  		<cfset local.GroupName = ListGetAt(local.Schema.Options[local.i],2)>
  		<cfset local.GroupIDListField = ListGetAt(local.Schema.Options[local.i],3)>
  		<cfset local.GroupTable = ListGetAt(local.Schema.Options[local.i],4)>
  		<!--- <cfoutput>select ID,#local.GroupName#,#local.GroupIDListField# from #local.GroupTable#</cfoutput><cfabort> --->
  		<cfquery name="local.GroupsTable" datasource="#Application.psDataSource#">
  		select ID,#local.GroupName#,#local.GroupIDListField# from #local.GroupTable#
  		</cfquery>
  		<cfloop query="local.GroupsTable">
  			<cfset local.CurrentGroupIDList = Evaluate("local.GroupsTable.#local.GroupIDListField#")>
  			<cfif IsDefined("form.group_#local.GroupsTable.ID#") and ListLen(local.CurrentGroupIDList) gte 1>
  				<cfset local.QueryString = local.QueryString & " #local.SearchType# ID in (#local.CurrentGroupIDList#)">
  				<cfset local.SearchName = local.SearchName & " #local.SearchType# in Group: #local.GroupsTable.GroupName#">
  			</cfif>
  		</cfloop>
  		<!--- END search grouplist --->

  	</cfif>
  </cfloop>
  
  <cfset local.SearchName = Right(local.SearchName,Len(local.SearchName)-4)>
  <cfset local.SearchName = Replace(local.SearchName,"  "," ","all")>
  <br>local.SearchName = <cfoutput>#local.SearchName#</cfoutput>
  <!--- <br><cfoutput>#PreserveSingleQuotes(local.QueryString)#</cfoutput><cfabort> --->
  
  <cfquery name="local.InsertSearch" datasource="#Application.psDataSource#">
  if not exists (select ID from #Application.psSearchTable# where Username = '#Session.Username#' and TableName = '#TableName#' and QueryString like '#local.QueryString#')
  	begin
  		insert into #Application.psSearchTable# (Username,TableName,QueryString,Timestamp,SearchName) values ('#Session.Username#','#TableName#','#local.QueryString#',#Now()#,'#Left(local.SearchName,50)#');
  		select max(ID) as RecordID from #Application.psSearchTable#;
  	end
  	else
  	select ID as RecordID from #Application.psSearchTable# where Username = '#Session.Username#' and TableName = '#TableName#' and QueryString like '#local.QueryString#';
  </cfquery>
  <cfoutput>
  	<script>window.opener.location.href='#arguments.Reporter#?select=search.#local.InsertSearch.RecordID#';window.close();</script>
  </cfoutput>
</cfif>
