<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>/padsite/services/_lib/import</title>
<style>
@import url("/css/default.css");
body {
	margin-left: 40px;
	margin-top: 20px;
	margin-right: 40px;
	color:white;
}
td, a, input.filepicker {color:white;}
</style>
</head>
<body class="administrator">
<cfif IsDefined("form.action")>
	<cfswitch expression="#form.action#">
		<cfcase value="import">
		<!--- need to determine whether to import into existing table or create new table --->
		<cfif IsDefined("form.datafile") and form.datafile neq "">
			<cfparam name="form.firstrowhascolumnnames" default="0">
			<!--- rename existing file if found; added 12/2010; not tested --->
			<cfset ImportedFileName = CreateUUID()>
			<cfset ImportedFileDestination = "/admin/user/imports/data/#ImportedFileName#.txt">
			<cffile action="upload" filefield="form.datafile" destination="#ExpandPath(ImportedFileDestination)#" nameconflict="overwrite">
			<cffile action="read" file="#ExpandPath(ImportedFileDestination)#" variable="ImportedData">
			<!---<p>Data to be imported...</p>
			<table>
				<cfloop list="#ImportedData#" delimiters="#form.rowDelimiter#" index="CurrentRow">
					<tr>
						<cfloop list="#CurrentRow#" delimiters="#form.itemDelimiter#" index="CurrentItem">
							<td><cfoutput>#CurrentItem#</cfoutput></td>
						</cfloop>
					</tr>
				</cfloop>
			</table>--->
			<cfif form.destination eq "new_table">
				debug: create new table
				<cfset NewTableName = "#TablePrefix#ImportedData">
				<cfset ColumnNames = ListGetAt(ImportedData,1,form.rowDelimiter)>
				<cfset ColumnTypes = ListGetAt(ImportedData,2,form.rowDelimiter)>
				<!--- validate column names --->
				<cfloop list="ColumnNames" delimiters="#form.itemDelimiter#" index="CurrentName">
					<cfif not REFind("^[A-Z][A-Za-z0-9_]",CurrentName)>
						<p>ERROR<br />Invalid Column Name: <cfoutput>#CurrentName#</cfoutput></p>
						<cfabort>
					</cfif>
				</cfloop>
				<!--- assumptions: imported data does NOT contain an ID column (support will be added later) --->
				<!---<cfoutput>--->
				<cftransaction>
					<cfquery name="CreateTable" datasource="#Application.psDataSource#">
					if exists (select 1 from Information_Schema.Tables where Table_Type='BASE TABLE' and Table_Name='#NewTableName#')
						select 'ERROR: Table Already Exists' as Response
						else begin
							create table dbo.#NewTableName# (ID integer PRIMARY KEY IDENTITY(1,1)
							<cfloop from="1" to="#ListLen(ColumnNames,form.itemDelimiter)#" index="i">
							, #ListGetAt(ColumnNames,i,form.itemDelimiter)# #ListGetAt(ColumnTypes,i,form.itemDelimiter)#
							</cfloop>
							);
							insert into #Application.psSchemaTable# (Queue,TableName,FieldName,Fieldset,DataType,Subtype,DataSize,Display,Summary,Sortable,Editable,Required,Options) 
								values (1,'#NewTableName#','ID','','int','primarykey',0,0,0,0,0,1,'');
							<cfloop from="1" to="#ListLen(ColumnNames,form.itemDelimiter)#" index="i">
								<cfif Left(ListGetAt(ColumnTypes,i,form.itemDelimiter),7) eq "varchar">
									<cfset ThisDataSize = SpanExcluding(ListGetAt(ListGetAt(ColumnTypes,i,form.itemDelimiter),2,"("),")")>
									<cfelse>
									<cfset ThisDataSize = 0>
								</cfif>
								insert into #Application.psSchemaTable# (Queue,TableName,FieldName,Fieldset,DataType,Subtype,DataSize,Display,Summary,Sortable,Editable,Required,Options)
									values (#i+1#,'#NewTableName#','#ListGetAt(ColumnNames,i,form.itemDelimiter)#','','#ListGetAt(ListGetAt(ColumnTypes,i,form.itemDelimiter),1,"(")#','',#ThisDataSize#,0,0,0,1,0,'');
							</cfloop>
							select 'Table Created Successfully' as Response;
						end
					</cfquery>
				</cftransaction>
				<!---</cfoutput>--->
				<cfabort>
				<cfif Left(CreateTable.Response,5) eq "ERROR">
					<div style="padding:40px; text-align:center;"><cfoutput>#CreateTable.Response#</cfoutput>
						<p><a href="javascript:history.back();" onClick="history.back();return false;">Go Back</a></p>
					</div>
					<cfabort>
					<cfelse>
					<script>window.opener.location.reload();window.close();</script>
				</cfif>


				<!---<cfif REFind("^[A-Z][A-Za-z0-9_]",form.tablename)>
				
					
					
				</cfif>--->
				
				
				<!---<cfset i = 0>
				<cfloop list="#ImportedData#" delimiters="#form.rowDelimiter#" index="CurrentRow">
					<cfset i = i + 1>
					<cfif i gt 2>
						<cfloop list="#CurrentRow#" delimiters="#form.itemDelimiter#" index="CurrentItem">
							
						</cfloop>
					</cfif>
				</cfloop>--->
				
				
				<cfelse>
				<!--- importing to existing table - not yet supported --->
				function not yet supported
			</cfif>
		</cfif>
		<cfabort>
		</cfcase>
	</cfswitch>
	<cfelse>
	<!--- start with delimited text import, add xml later --->
	<form method="post" enctype="multipart/form-data">
		<div style="float:left"><strong style="color:white;">/padsite/services/_lib/import</strong></div>
		<div style="float:right">
			<input name="submit" type="submit" value="Import" />
		</div>
		<input name="action" type="hidden" value="import" />
		<table width="100%" border="0" cellpadding="1" cellspacing="1">
			<tr>
				<td align="right">&nbsp;</td>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<td align="right">Import From:</td>
				<td><input name="datafile" type="file" class="filepicker" /></td>
			</tr>
			<tr>
				<td align="right">Import To:</td>
				<td><select name="destination">
						<option value="new_table">New Table</option>
						<hr />
						<cfquery name="Tables" datasource="#Application.psDataSource#">
							select distinct TableName from #Application.psSchemaTable# order by TableName
						</cfquery>
						<cfoutput query="Tables">
							<option value="#TableName#" disabled="disabled">#TableName#</option>
						</cfoutput>
				</select></td>
			</tr>
			<tr>
				<td align="right">Row Delimiter:</td>
				<td><input name="rowDelimiter" type="text" value=";" size="1" maxlength="1" /></td>
			</tr>
			<tr>
				<td align="right">Item Delimiter:</td>
				<td><input name="itemDelimiter" type="text" value="," size="1" maxlength="1" /></td>
			</tr>
			<tr>
				<td colspan="2">&nbsp;</td>
			</tr>
			<tr>
				<td colspan="2">For new tables, first row must have column names and second row must have column types. When appending data to existing tables (not yet supported), only column names in first row are required.</td>
			</tr>
		</table>
	</form>
</cfif>
</body>
</html>
