<cfparam name="SetupMode" default="false">

<cfif IsDefined("Session.Access") or SetupMode>
	<cfset url.action="update">
	<cfquery name="Pages" datasource="#Application.psDataSource#">
	select * from #Application.psAdminPagesTable# order by ID desc
	</cfquery>
	<cfset PageInstanceList = "">
	<cfset i = 0>
	<cfloop query="Pages">
		<cfset i = i + 1>
		<cfif Right(Pages.ps_FileName,3) eq "cfm" and Left(Pages.ps_FileName,2) neq "x_">
			<cfset PageInstanceList = ListAppend(PageInstanceList,"#i#|reporter|#Pages.ID#")>
		</cfif>
		<cfif Right(Pages.ps_Summary,3) eq "cfm" and Left(Pages.ps_Summary,2) neq "x_">
			<cfset PageInstanceList = ListAppend(PageInstanceList,"#i#|summary|#Pages.ID#")>
		</cfif>
		<cfif Right(Pages.ps_Editor,3) eq "cfm" and Left(Pages.ps_Editor,2) neq "x_">
			<cfset PageInstanceList = ListAppend(PageInstanceList,"#i#|editor|#Pages.ID#")>
		</cfif>
		<cfif Right(Pages.ps_Viewer,3) eq "cfm" and Left(Pages.ps_Viewer,2) neq "x_">
			<cfset PageInstanceList = ListAppend(PageInstanceList,"#i#|viewer|#Pages.ID#")>
		</cfif>
	</cfloop>
</cfif>

<cfloop from="1" to="#ListLen(PageInstanceList)#" index="genCounter">
	<cfset CurrentPageSetupList = ListGetAt(PageInstanceList,genCounter)>
	<cfset CurrentPageSetIndex = ListGetAt(CurrentPageSetupList,1,"|")>
	<cfset url.page = ListGetAt(CurrentPageSetupList,2,"|")>
	<cfset url.id = ListGetAt(CurrentPageSetupList,3,"|")>
	<cfquery name="Page" datasource="#Application.psDataSource#">
	select * from #Application.psAdminPagesTable# where ID = #Val(url.id)#
	</cfquery>

	<cfinclude template="page_gen.cfm">

</cfloop>

<cfif not SetupMode>
	<cflocation url="/padsite/setup.cfm">
</cfif>
