<cfif not AccessRequired or (IsDefined("Session.Access") and ListFind(AccessAllowed,Session.Access))>
	
	<cfparam name="url.source" default="0">
	
	<cfquery name="Schema" datasource="#Application.psDataSource#">
	select * from #Application.psSchemaTable# where TableName = '#SpanExcluding(url.source,"Application.psIllegal_URL_Chars")#' order by Queue
	</cfquery>
	
	<!--- PROCESS SENDMAIL FORM --->
	<!--- need to append generic (branded?) subscription notice with unsubscribe link and...
				create unsubscribe field if does not exist (this latter step could be handled on the unsubscribe page) --->
	<cfif IsDefined("form.sendmail")>
		<cfparam name="form.recipients_selected" default="0">
		<cfparam name="form.recipients_other" default="0">
		<cfif form.recipients_selected eq 1>
			<cfquery name="EmailAddress" dataSource="#Application.psDataSource#">
			select top 1 FieldName from #Application.psSchemaTable# where TableName = '#SpanExcluding(url.source,Application.psIllegal_URL_Chars)#' and Subtype = 'email'
			</cfquery>
			<cfquery name="Recipients" dataSource="#Application.psDataSource#">
			select #EmailAddress.FieldName# from #SpanExcluding(url.source,Application.psIllegal_URL_Chars)# where ID in (#form.recipient_ids#)
			</cfquery>
			<cfset RecipientList = Evaluate("ValueList(Recipients.#EmailAddress.FieldName#)")>
			<cfelse>
			<cfset RecipientList = "">
		</cfif>
		<cfif form.recipients_other eq 1>
			<cfset RecipientList = ListAppend(RecipientList,form.recipients_other_addresses)>
		</cfif>
		<!--- insert data collected so far and retrieve ID number for file handling and finally update record when finished --->
		<cfquery name="Insert" dataSource="#Application.psDataSource#">
		insert into #Application.psMessageLogTable# (Sender,SenderAsEntered,Selector,RecipientList,Subject,Message,Sent,Importance) values ('#Session.Username#','#form.message_sender_address#','#form.sendmail#','#RecipientList#','#form.subject#','#form.message#',#Now()#,'#form.message_importance#');
		select max(ID) as NewID from #Application.psMessageLogTable#
		</cfquery>
		<!--- upload attached files --->
		<cfif form.attachedFile neq "">
			<cfset AttachmentsDirectoryForThisMessage = ExpandPath("#Application.psEmailAttachmentsDirectory#" & "#Insert.NewID#/")>
			<cfif not DirectoryExists(AttachmentsDirectoryForThisMessage)>
				<cfdirectory action="create" directory="#AttachmentsDirectoryForThisMessage#">
			</cfif>
		</cfif>
	  <cfif form.attachedFile neq "">
	  	<!--- upload to EmailAttachmentsDirectory (defined in application.cfm) --->
	  	<cffile action="upload" fileField="form.attachedFile" destination="#AttachmentsDirectoryForThisMessage & "temp.tmp"#">
	  	<cfset RevisedFileNameForThisAttachment = Replace(XMLFormat(cffile.clientFile)," ","_","all")>
	  	<cffile action="rename" source="#AttachmentsDirectoryForThisMessage & "temp.tmp"#" destination="#RevisedFileNameForThisAttachment#">
	  	<cfset AttachedFile = RevisedFileNameForThisAttachment>
		</cfif>
		<!--- <cfoutput>#RecipientList#</cfoutput> --->
		<cfset ValidAddresses = "">
		<cfset InvalidAddresses = "">
		<cfloop list="#RecipientList#" index="CurrentAddress">
			<cfif REFindNoCase("^[A-Z0-9][\w\.-]*@[A-Z0-9][\w\.-]*[A-Z0-9]\.[A-Z][A-Z\.]*[A-Z]$",Trim(CurrentAddress),1) gt 0>
				<!--- split into two cfmailparts? text and html --->
				<cfmail to="#CurrentAddress#" from="#form.message_sender_address#" subject="#form.subject#" server="#Application.psMailServer#" type="html">
					
					<style>
						body {
							padding:40px;
							font-family: Verdana;
							font-size: 12px;}
						<cfinclude template="/css/userstyles.css">
					</style>
					#Replace(form.message,"src=""/user/images/","src=""http://#CGI.SERVER_NAME#/media/images/","all")#
					<cfmailparam name="Importance" value="#form.message_importance#">
					<!--- return receipt: <cfmailparam name="Disposition-Notification-To" value='"Name" <#Session.Username#>'> --->
					<cfif AttachedFile neq "">
						<cfmailparam file="#Application.psEmailAttachmentsDirectory##Insert.NewID#/#AttachedFile#">
					</cfif>
				</cfmail>
				<cfset ValidAddresses = ListAppend(ValidAddresses,CurrentAddress)>
				<cfelse>
				<cfset InvalidAddresses = ListAppend(InvalidAddresses,CurrentAddress)>
			</cfif>
		</cfloop>
		<!--- update MessageLogTable with file list and remaining details --->
		<cfquery name="UpdateMessageLog" dataSource="#Application.psDataSource#">
		update #Application.psMessageLogTable# set RecipientResults = 'ValidAddresses:#ValidAddresses#|InvalidAddresses:#InvalidAddresses#', Attachment = '#AttachedFile#' where ID = #Insert.NewID#
		</cfquery>
		<!--- provide feedback to user --->
		<p align="center">Message(s) sent successfully.</p>
		<cfabort>
	</cfif>
</cfif>
<!--- additional mail notes:
<CFMAILPART TYPE="text/plain">How now brown cow?</CFMAILPART>
<CFMAILPART TYPE="text/html"><IMG SRC="http://www.evoch.com/browncow.jpg"> How now <FONT COLOR="##900000">BROWN</FONT> cow?</CFMAILPART>
--->
