<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<style>
@import url("/css/default.css");
body, div, td, a, a:link, a:hover, a:active, a:visited {color:white;}
</style>
</head>
<body class="administrator">
<cfif IsDefined("Session.Access") and ListFind(Application.psConfigAccess,Session.Access)>
	<cfif IsDefined("form.submit") and form.submit eq "Create Table">
		<cfif REFind("^[A-Za-z][A-Za-z0-9_]",form.tablename)>
			<cftransaction>
				<cfquery name="Create" datasource="#Application.psDataSource#">
				if exists (select 1 from Information_Schema.Tables where Table_Type='BASE TABLE' and Table_Name='#Application.psTablePrefix##Replace(form.tablename," ","_","all")#') select 'ERROR: Table Already Exists' as Response
					else begin
						create table dbo.#Application.psTablePrefix##Replace(form.tablename," ","_","all")# (ID integer PRIMARY KEY IDENTITY(1,1)
						<cfif form.relateto_table neq "none">, #form.relateto_table#ID integer</cfif>
						);
						insert into #Application.psSchemaTable# (Queue,TableName,FieldName,Fieldset,DataType,Subtype,DataSize,Display,Summary,Sortable,Editable,Required,Options) values (1,'#Application.psTablePrefix##Replace(form.tablename," ","_","all")#','ID','','int','primarykey',0,0,0,0,0,1,'');
						<cfif form.relateto_table neq "none">
							insert into #Application.psSchemaTable# (Queue,TableName,FieldName,Fieldset,DataType,Subtype,DataSize,Display,Summary,Sortable,Editable,Required,Options) values (2,'#Application.psTablePrefix##Replace(form.tablename," ","_","all")#','#form.relateto_table#ID','','int','foreignkey',0,1,0,1,1,1,'1,#form.relateto_field#,#form.relateto_table#');
						</cfif>
						select 'Table Created Successfully' as Response;
					end
				</cfquery>
			</cftransaction>
			<cfif Left(Create.Response,5) eq "ERROR">
				<p class="adminErrorMessage"><cfoutput>#Create.Response#</cfoutput></p>
				<p class="adminErrorMessage"><a href="javascript:history.back();" onClick="history.back();return false;">Go Back</a></p>
				<cfabort>
				<cfelse>
				<script>window.opener.location.reload();window.close();</script>
			</cfif>
			<cfelse>
			<p class="adminErrorMessage">ERROR: Invalid Table Name - Operation Aborted 1</p>
			<cfabort>
		</cfif>
		<script>window.opener.location.reload();window.close();</script>
		<cfelseif IsDefined("form.submit") and form.submit eq "Rename Table">
		<cfif form.newtablename neq form.oldtablename and REFind("^[A-Za-z][A-Za-z0-9_]",form.newtablename)>
			<cftransaction>
				<cfquery name="Rename" datasource="#Application.psDataSource#">
				sp_rename '#Application.psTablePrefix##form.oldtablename#', '#Application.psTablePrefix##form.newtablename#';
				update #Application.psSchemaTable# set TableName = '#Application.psTablePrefix##form.newtablename#' where TableName = '#Application.psTablePrefix##form.oldtablename#';
				update #Application.psAdminPagesTable# set ps_DataTable = '#Application.psTablePrefix##form.newtablename#' where ps_DataTable = '#Application.psTablePrefix##form.oldtablename#';
				</cfquery>
			</cftransaction>
			<cfelse>
			<p class="adminErrorMessage">ERROR: Invalid Table Name - Operation Aborted 2</p>
			<cfabort>
		</cfif>
		<script>window.opener.location.reload();window.close();</script>
		<cfelseif IsDefined("url.table") and url.table eq "new">
		<div style="padding:20px 40px">
			<p><strong>Enter table name...</strong></p>
			<form method="post">
				<p><cfoutput>#Application.psTablePrefix#</cfoutput>
					<input name="tablename" type="text" maxlength="50" />
				</p>
				<p>Relate to:
					<select name="relateto_table">
						<option value="none">Not Related</option>
						<!--- get list of tables that this one can be related to --->
						<cfquery name="Tables" dataSource="#Application.psDataSource#">
						select table_name from information_schema.tables where table_name like '#Application.psTablePrefix#%' and table_name not in ('#Application.psSchemaTable#','#Application.psSearchTable#','#Application.psMessageLogTable#','#Application.psLoginsTable#','#Application.psAdminPagesTable#') and table_type = 'BASE TABLE' order by table_name
						</cfquery>
						<cfoutput query="Tables">
						<option value="#table_name#">#table_name#</option>
						</cfoutput>
					</select>
				</p>
				<p>Display Field(s):
					<input type="text" name="relateto_field" maxlength="50" />
				</p>
				<input name="submit" type="submit" id="submit" value="Create Table" />
			</form>
		</div>
		<cfelseif IsDefined("url.renametable") and not Find(Application.psIllegal_URL_Chars,url.renametable)>
		<div style="padding:20px 40px">
			<p><strong>Enter new table name...</strong></p>
			<form method="post">
				<cfoutput>
				<input type="hidden" name="oldtablename" value="#Replace(url.renametable,Application.psTablePrefix,"")#">
				<p>#Application.psTablePrefix#
					<input name="newtablename" type="text" maxlength="50" value="#Replace(url.renametable,Application.psTablePrefix,"")#" />
				</p>
				<input name="submit" type="submit" id="submit" value="Rename Table" />
				</cfoutput>
			</form>
		</div>
		<cfelseif IsDefined("url.deletetable") and not Find(Application.psIllegal_URL_Chars,url.deletetable)>
		<cftransaction>
			<cfquery name="DropTable" datasource="#Application.psDataSource#">
			delete from #Application.psSchemaTable# where TableName = '#url.deletetable#';
			drop table #url.deletetable#;
			</cfquery>
		</cftransaction>
		<cflocation url="/padsite/setup.cfm">
		<cfelseif IsDefined("url.action")>
		<cfswitch expression="#url.action#">
			<cfcase value="regenerate">
			<!--- regenerate table schema from existing table (url.table) --->
			<cfquery name="Table" datasource="#Application.psDataSource#">
			select column_name, column_default, is_nullable, data_type, character_maximum_length from information_schema.columns where table_name = '#SpanExcluding(url.table,Application.psIllegal_URL_Chars)#' order by ordinal_position
			</cfquery>
			<cftransaction>
				<cfquery name="ClearSchema" datasource="#Application.psDataSource#">
				delete from #Application.psSchemaTable# where TableName = '#SpanExcluding(url.table,Application.psIllegal_URL_Chars)#'
				</cfquery>
				<cfset i = 0>
				<cfquery name="Insert" datasource="#Application.psDataSource#">
					<cfloop query="Table">
						<cfset i = i + 1>
						insert into #Application.psSchemaTable# (Queue,TableName,FieldName,DataType,Datasize,AllowNull,DefaultValue) values (#i#,'#SpanExcluding(url.table,Application.psIllegal_URL_Chars)#','#Table.column_name#','#Table.data_type#',#Val(Table.character_maximum_length)#,#Val(Table.is_nullable)#,'#Table.column_default#');
					</cfloop>
				</cfquery>
			</cftransaction>
			<cflocation url="/padsite/setup.cfm?table=#SpanExcluding(url.table,Application.psIllegal_URL_Chars)#">
			</cfcase>
		</cfswitch>
	</cfif>
</cfif>
</body>
</html>
