			<cfif IsDefined("url.id")>
				<cfquery name="Table" datasource="#Application.psDataSource#">
				select * from #TableName# where ID = #Val(url.id)#
				</cfquery>
				<cfset SearchMode = FALSE>
				<cfif IsNumeric(url.id) and Table.RecordCount eq 0>
					<cfabort>
					<cfelseif IsNumeric(url.id)>
					<cfset EditMode = TRUE>
					<cfelse>
					<cfset EditMode = FALSE>
				</cfif>
				<cfelseif IsDefined("url.search")>
				<cfset SearchMode = TRUE>
				<cfset EditMode = FALSE>
			</cfif>
			
			<!--- parent table for iframe summaries --->
			<cfif IsDefined("url.parentTable")>
				<cfoutput>
					<input name="parentTable" type="hidden" value="#SpanExcluding(url.parentTable,Application.psIllegal_URL_Chars)#" />
				</cfoutput>
			</cfif>
			<cfif IsDefined("url.parentID") and IsNumeric(url.parentID)>
				<cfoutput>
					<input name="parentID" type="hidden" value="#Val(url.parentID)#" />
				</cfoutput>
			</cfif>

			<div id="admin_util_editor_header">
				<table width="100%" height="42" border="0" cellpadding="4" cellspacing="0">
					<tr>
						<td class="mainMenu">&nbsp;
							<cfif SearchMode>
								<cfif IsDefined("url.view") and url.view eq "recentsearches">
									Recent Searches:
									<cfelse>
									Search:
								</cfif>
								<cfoutput>#PageName#</cfoutput>
								<cfelse>
								<cfif EditMode>
									Edit
									<cfelse>
									New
								</cfif>
								<cfoutput>#RecordName#</cfoutput>
							</cfif>
						</td>
						<td align="right" style="padding-right:10px;">
							<cfoutput>
								<cfif EditMode and Session.Access eq "Webmaster" and TableName eq Application.psAccountsTable>
									<input name="login_as" type="button" value="Login As..." onclick="window.open('/login.cfm?un=#Table.Username#&pw=#Table.Password#','','')" />
								</cfif>
								<cfif SearchMode>
									<input name="search" type="hidden" value="#SpanExcluding(url.search,Application.psIllegal_URL_Chars)#" />
									<input name="id" type="hidden" value="0" />
									<cfelse>
									<input name="id" type="hidden" value="#SpanExcluding(url.id,Application.psIllegal_URL_Chars)#" />
								</cfif>
								<cfif EditMode>
									<input name="delete" type="button" value="Delete" onClick="if (confirm('Are you sure you want to delete this item? This action cannot be undone.')) window.location='?delete=#Table.ID#'" />
								</cfif>
								<cfif not IsDefined("url.view")>
									
									<cfif SearchMode>
										<input type="button" name="recent" id="recent" value="View Recent Searches" onClick="window.location.href=window.location.href+'&view=recentsearches'" />
										<input type="submit" name="submit_btn" id="submit_btn" value="AND Search" />
										<input type="submit" name="submit_btn" id="submit_btn" value="OR Search" />
										<cfelse>
										<input type="button" name="cancel" id="cancel" value="Cancel" onClick="window.close();" />
										<input type="submit" name="submit_btn" id="submit_and_close_btn" value="Save and Close" />
										<input type="submit" name="submit_btn" id="submit_btn" value="Save" />
									</cfif>
									<cfelse>
									<input type="button" name="cancel" id="cancel" value="Cancel" onClick="window.location.href='#cgi.PATH_INFO#?search=#SpanExcluding(url.search,Application.psIllegal_URL_Chars)#'" />
								</cfif>
							</cfoutput>
						</td>
					</tr>
				</table>
			</div>